commit:     4cd4e4cf7dc6cd324bcba85d90e8bf5fb1830a17
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 28 09:51:18 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Nov 28 09:52:57 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cd4e4cf

net-print/cups-filters: Bump to version 1.12.0

Package-Manager: portage-2.3.2

 net-print/cups-filters/Manifest                   |   1 +
 net-print/cups-filters/cups-filters-1.12.0.ebuild | 124 ++++++++++++++++++++++
 2 files changed, 125 insertions(+)

diff --git a/net-print/cups-filters/Manifest b/net-print/cups-filters/Manifest
index 7cd0ad0..d9ed8a5 100644
--- a/net-print/cups-filters/Manifest
+++ b/net-print/cups-filters/Manifest
@@ -1,3 +1,4 @@
 DIST cups-filters-1.11.6.tar.xz 1410116 SHA256 
ed33a824cfdc4eba6633a7d491468da8eecdf120cb05557980c47b4cdfad9c7f SHA512 
425eab182101d7bdd02844febebc7d57ed00d822e12ebb08e57a1244dc9d085f2a3c0eeb8ce4fe7586b32ca1a7cca2019ae62114d86692f0d6a6e60510d2711a
 WHIRLPOOL 
f91ea62ad0dcd85a34193f879bf5290a4d7cfa84ae5060bfbd064ee48290fa5eacf367a04264408ba82d549276a6a63215affd08a90f7a0e5515c1028e768228
+DIST cups-filters-1.12.0.tar.xz 1417696 SHA256 
dc5ba61ca3f30d29a4acc0e4a1b331f2e2d996d1f22a138619e80e7a507b7d01 SHA512 
3f430c8c7aa54d6d4623814ee0102427587a0c5638bd5bb8de7fb63201a7953de2eaf413b458a80f98795b007705c89443ab0587cd555e3faf22b9d95a1196c8
 WHIRLPOOL 
7257c0d42ed334d74d16ef240f5975256f20cd2bcb5f8dc31f353b5766c300c23747b5d1e9ecce718438445b8d41234663386eac78cd1a677c8837251c6c1d7f
 DIST cups-filters-1.5.0.tar.xz 1375588 SHA256 
f22a8864e8d5b693795605a31345c08cc68f85120ebde9a0aa7bc27639815932 SHA512 
81574f8368aaef61aeee4369caa394f2c8cdc717b03687d8a17c7927892f07cff68f1efb8d674757cb97001b55fd58fa5c14784a510ce9d31e385b1a73cd18c7
 WHIRLPOOL 
4201d08a2bb76d349a6b9f7220eb48dea86bb81c0cedbe8dcb8796c49ce26f67f6a7c49677b4fc7b6f865eb20e3c806746f565668e9f9e1e3935630621d032cd
 DIST cups-filters-1.8.3.tar.xz 1373028 SHA256 
e1e786f1fbcd3a203d87ebb4106a0ba8d579953cbe22056d12d4ee8143f5341a SHA512 
5c3648670ae141038a373c4e800e81a7584759e3caf8c4e4468cb0da11c0ff521ac80678e603856c7209da6638673400305c38903cb27e3b4d792d17947e2af4
 WHIRLPOOL 
0c0ff9b767f35a61f4b9b2f57392d1a6afce35decf9216e77f7503b62bd67da0fa05f9ed507518599e03d27de50458823499989bf6bfd8d3a3da162292819157

diff --git a/net-print/cups-filters/cups-filters-1.12.0.ebuild 
b/net-print/cups-filters/cups-filters-1.12.0.ebuild
new file mode 100644
index 00000000..79da710
--- /dev/null
+++ b/net-print/cups-filters/cups-filters-1.12.0.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+GENTOO_DEPEND_ON_PERL=no
+
+inherit eutils perl-module systemd
+
+if [[ "${PV}" == "9999" ]] ; then
+       inherit bzr
+       EBZR_REPO_URI="http://bzr.linuxfoundation.org/openprinting/cups-filters";
+else
+       SRC_URI="http://www.openprinting.org/download/${PN}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86 ~amd64-fbsd ~m68k-mint"
+fi
+DESCRIPTION="Cups PDF filters"
+HOMEPAGE="https://wiki.linuxfoundation.org/openprinting/pdf_as_standard_print_job_format";
+
+LICENSE="MIT GPL-2"
+SLOT="0"
+IUSE="dbus +foomatic jpeg ldap pdf perl png +postscript static-libs tiff 
zeroconf"
+
+RDEPEND="
+       postscript? ( >=app-text/ghostscript-gpl-9.09[cups] )
+       >=app-text/poppler-0.32:=[cxx,jpeg?,lcms,tiff?,utils,xpdf-headers(+)]
+       >=app-text/qpdf-3.0.2:=
+       dev-libs/glib:2
+       media-libs/fontconfig
+       media-libs/freetype:2
+       media-libs/lcms:2
+       >=net-print/cups-1.7.3
+       !<=net-print/cups-1.5.9999
+       sys-devel/bc
+       sys-libs/zlib
+       dbus? ( sys-apps/dbus )
+       foomatic? ( !net-print/foomatic-filters )
+       jpeg? ( virtual/jpeg:0 )
+       ldap? ( net-nds/openldap )
+       pdf? ( app-text/mupdf )
+       perl? ( dev-lang/perl:= )
+       png? ( media-libs/libpng:0= )
+       tiff? ( media-libs/tiff:0 )
+       zeroconf? ( net-dns/avahi[dbus] )
+"
+DEPEND="${RDEPEND}
+       dev-util/gdbus-codegen
+"
+
+src_configure() {
+       econf \
+               --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+               --localstatedir="${EPREFIX}"/var \
+               --with-cups-rundir="${EPREFIX}"/run/cups \
+               $(use_enable dbus) \
+               $(use_enable zeroconf avahi) \
+               $(use_enable static-libs static) \
+               $(use_enable foomatic) \
+               $(use_enable ldap) \
+               $(use_enable pdf mutool) \
+               $(use_enable postscript ghostscript) \
+               $(use_enable postscript ijs) \
+               --with-fontdir="fonts/conf.avail" \
+               --with-pdftops=pdftops \
+               --enable-imagefilters \
+               $(use_with jpeg) \
+               $(use_with png) \
+               $(use_with tiff) \
+               --with-rcdir=no \
+               --with-browseremoteprotocols=DNSSD,CUPS \
+               --without-php
+}
+
+src_compile() {
+       default
+
+       if use perl; then
+               pushd "${S}/scripting/perl" > /dev/null
+               perl-module_src_configure
+               perl-module_src_compile
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       default
+
+       if use perl; then
+               pushd "${S}/scripting/perl" > /dev/null
+               perl-module_src_install
+               perl_delete_localpod
+               popd > /dev/null
+       fi
+
+       if use postscript; then
+               # workaround: some printer drivers still require pstoraster and 
pstopxl, bug #383831
+               dosym gstoraster /usr/libexec/cups/filter/pstoraster
+               dosym gstopxl /usr/libexec/cups/filter/pstopxl
+       fi
+
+       prune_libtool_files --all
+
+       cp "${FILESDIR}"/cups-browsed.init.d-r1 "${T}"/cups-browsed || die
+
+       if ! use zeroconf ; then
+               sed -i -e 's:need cupsd avahi-daemon:need cupsd:g' 
"${T}"/cups-browsed || die
+               sed -i -e 's:cups\.service 
avahi-daemon\.service:cups.service:g' "${S}"/utils/cups-browsed.service || die
+       fi
+
+       doinitd "${T}"/cups-browsed
+       systemd_dounit "${S}/utils/cups-browsed.service"
+}
+
+src_test() {
+       emake check
+}
+
+pkg_postinst() {
+       if ! use foomatic ; then
+               ewarn "You are disabling the foomatic code in cups-filters. 
Please do that ONLY if absolutely."
+               ewarn "necessary. net-print/foomatic-filters as replacement is 
deprecated and unmaintained."
+       fi
+}

Reply via email to